//
//  WebViewController.m
//  MovieBug
//
//  Created by David Oster on 10/12/09.
//  Copyright Google Inc 2009
//
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
//
//        http://www.apache.org/licenses/LICENSE-2.0
//
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
//
//

#import "WebViewController.h"


@implementation WebViewController

// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
  [self setTitle:@"WebView"];
  CGRect frame = CGRectMake(0, 0, 320, 460 - 44);
  UIWebView *webview = [[[UIWebView alloc] initWithFrame:frame] autorelease];
  [webview setAutoresizingMask:UIViewAutoresizingFlexibleLeftMargin |
    UIViewAutoresizingFlexibleWidth|
    UIViewAutoresizingFlexibleRightMargin|
    UIViewAutoresizingFlexibleTopMargin|
    UIViewAutoresizingFlexibleHeight|
    UIViewAutoresizingFlexibleBottomMargin];
  [self setView:webview];
}


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
  [super viewDidLoad];
  NSURL *url = [NSURL URLWithString:@"http://www.youtube.com"];

  NSString *s = @"<html><head>"
"<meta name = \"viewport\" content = \"initial-scale = 1.0, "
"user-scalable = no, width = 212\"/></head>"
"<body style=\"background:#EEE;margin-top:0px;margin-left:0px\">"
"<div><object width=\"212\" height=\"172\">"
"<param name=\"movie\" "
"value=\"http://www.youtube.com/v/oHg5SJYRHA0&f=gdata_videos&c=ytapi-my-clientID&d=nGF83uyVrg8eD4rfEkk22mDOl3qUImVMV6ramM\"></param>"
"<param name=\"wmode\" value=\"transparent\"></param>"
"<embed src=\"http://www.youtube.com/v/aOZhbOhEunY&f=gdata_videos&c=ytapi-my-clientID&d=nGF83uyVrg8eD4rfEkk22mDOl3qUImVMV6ramM\""
"type=\"application/x-shockwave-flash\" wmode=\"transparent\" width=\"212\" height=\"172\"></embed>"
"</object></div></body></html>";
  [(UIWebView *)[self view] loadHTMLString:s baseURL:url];

}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}



@end
